Loading...
 
Architecture / Installation

Architecture / Installation


Tracker/PrettyTracker templates not working

posts: 3 USA

Upgraded 13.1 install to 14.x. No errors during the process, and everything works except for tracker item templates.

Have a few trackers utilizing the "Template to display an item" setting. Since the upgrade to 14, this setting is no longer working. The tracker item is displayed using the default view and not the template page.

No errors seen when looking at tracker items, nor are there any errors in the PHP logs.

Anyone have an idea what might be wrong?


EDIT: Nevermind! Figured it out! For reference in case anyone else runs into this, it seems 14 made a change I didn't catch. Right above the "Template to display.." setting there is a new setting called "Section Format". This needs to be changed to "Configured" for template settings to work as it explains.

posts: 3 USA

Replying to my own post because a related issue has also come up...

I have some tracker item  templates that have a trackerlist plugin in them that references a different tracker and filters the data based on a field in the displayed tracker item.  In 13.1 this worked fine, in 14 it no longer does.

 

In my tracker item template I have the following:

{trackerlist trackerId="6" filterfield="58" exactvalue="{$f_16}" ignoreRequestItemId="y"}

 

In 14, the following error message is displayed instead of the trackerlist

trackerlist: Pretty tracker reference "$f_16" could not be replaced in plugin "trackerlist".

 

 

posts: 24 United States
Did you ever get a fix for this? I am seeing the same issue.
posts: 4 United States
I am getting the same issue as well, and I'm running tiki wiki 21.0. Did anyone find a fix for this?
posts: 4 United States
stevenwm wrote:

Replying to my own post because a related issue has also come up...

I have some tracker item  templates that have a trackerlist plugin in them that references a different tracker and filters the data based on a field in the displayed tracker item.  In 13.1 this worked fine, in 14 it no longer does.

 

In my tracker item template I have the following:

{trackerlist trackerId="6" filterfield="58" exactvalue="{$f_16}" ignoreRequestItemId="y"}

 

In 14, the following error message is displayed instead of the trackerlist

trackerlist: Pretty tracker reference "$f_16" could not be replaced in plugin "trackerlist".

 
 


I found out that you need to use {wikiplugin} in order to do this. There's near to no documentation on how to do this for other plugins though. I would really like to figure out how to use it for PluginLists

{wikiplugin _name=trackerlist ignoreRequestItemId=y trackerId=6 filterfield=58 filtervalue="{$f_16}"}{/wikiplugin}